### Method

# Dex Future await_string

#### Declaration [src]

    char*
    dex_await_string (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the string result.

If the result is not a `G_TYPE_STRING`, `error` is set.

#### Return value

Type: `char*`

The string or `NULL` and `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.